Licensing Reports - Get Licensing Report Operation

Get Licensing Report Operation Status.
Gets the status of a licensing report generation operation. When the status is Succeeded, the response includes the report file name and the Location header contains the download URL.

GET https://api.powerplatform.com/copilotstudio/licensing/reports/{ReportName}/operations/{OperationId}?api-version=2024-10-01

URI Parameters

Name In Required Type Description
OperationId
path True

string

The report operation ID, returned in the Location header when report generation starts.

ReportName
path True

string

The name of the report being generated.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

CopilotStudioLicensingReportOperation

Successful response. The body contains the current status of the operation.

Headers

  • Location: string
  • Retry-After: string
401 Unauthorized

Unauthorized. A valid access token is required.

403 Forbidden

Forbidden. The caller must be a Global, Dynamics 365, or Power Platform administrator of the tenant.

404 Not Found

Not found. The operation doesn't exist or licensing reports aren't available for the tenant.

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
CopilotStudioLicensingReportOperation

The status of a licensing report generation operation.

CopilotStudioLicensingReportOperationStatus

The status of a licensing report generation operation.

CopilotStudioLicensingReportOperation

The status of a licensing report generation operation.

Name Type Description
error

string

A message describing why report generation failed. Returned only when the status is Failed.

fileName

string

The generated report file name to use when downloading the report. Returned only when the status is Succeeded.

status

CopilotStudioLicensingReportOperationStatus

The status of a licensing report generation operation.

CopilotStudioLicensingReportOperationStatus

The status of a licensing report generation operation.

Value Description
Running
Succeeded
Failed